Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet
Class LanguageUtils

    java.lang.Object
      com.ejie.r01f.servlet.LanguageUtils

public class LanguageUtils
extends java.lang.Object

Clase de utilidad para el tratamiento del idioma

Field Summary
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `LANGUAGE_ES`
`static java.lang.String` | `LANGUAGE_EU`

Constructor Summary
`LanguageUtils()`

Method Summary
`static java.lang.String` | `getLanguage(javax.servlet.http.HttpServletRequest req, boolean useSession)` Obtiene el lenguaje utilizando las siguientes reglas: - Si el lenguaje viene en la request como parametro, devuelve este valor - Si el lenguaje no viene en la request como parametro, se intenta obtener desde la session Si se utiliza sessión, se guarda el lenguaje actual en la session

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### LANGUAGE_ES

    public static final java.lang.String LANGUAGE_ES

See Also:
  Constant Field Values

### LANGUAGE_EU

    public static final java.lang.String LANGUAGE_EU

See Also:
  Constant Field Values

Constructor Detail

### LanguageUtils

    public LanguageUtils()

Method Detail

### getLanguage

    public static java.lang.String getLanguage(javax.servlet.http.HttpServletRequest req,
                                               boolean useSession)

  Obtiene el lenguaje utilizando las siguientes reglas: - Si el lenguaje viene en la request como parametro, devuelve este valor - Si el lenguaje no viene en la request como parametro, se intenta obtener desde la session Si se utiliza sessión, se guarda el lenguaje actual en la session

  Returns:
    El codigo del idioma

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD